<?php

/**
 * This file contains QUI\MobileDetection
 */

namespace QUI;

/**
 * Class MobileDetection
 *
 * @package QUI
 */
class MobileDetection
{
    /**
     * @var \Mobile_Detect
     */
    protected static $Detect = null;

    /**
     * @return \Mobile_Detect
     */
    public static function getDetect()
    {
        if (self::$Detect === null) {
            self::$Detect = new \Mobile_Detect();
        }

        return self::$Detect;
    }

    /**
     * Is client mobile?
     *
     * @return bool
     */
    public static function isMobile()
    {
        return !!self::getDetect()->isMobile();
    }

    /**
     * Is client desktop?
     *
     * @return bool
     */
    public static function isDesktop()
    {
        return !self::isMobile() && !self::isTablet();
    }

    /**
     * Is client tablet?
     *
     * @return bool
     */
    public static function isTablet()
    {
        return !!self::getDetect()->isTablet();
    }

    /**
     * @return bool
     */
    public static function isiOS()
    {
        return !!self::getDetect()->is('iOS');
    }

    /**
     * is android
     *
     * @return bool
     */
    public static function isAndroid()
    {
        return !!self::getDetect()->is('AndroidOS');
    }
}
